Go Back   Champions of Regnum > English > Technical Support > Linux

Linux Technical issues under Linux platform

Reply
 
Thread Tools Display Modes
Old 08-09-2016, 03:43 PM   #1
Elanor
Pledge
 
Join Date: Aug 2007
Posts: 11
Elanor is on a distinguished road
Default roluncher Segmentation fault.

I'm trying to run latest Regnum Online on a core i5 with 16GB of ram and intel video running a fresh fedora 24 installation. the only output i get is a segmentation fault message. it used to work perfectly on Ubuntu 16.04
The link os for the strace output. Any help greatly appreciated.
https://drive.google.com/open?id=0B3...EY2TzllTF9QTEU
Elanor no ha iniciado sesión   Reply With Quote
Old 08-09-2016, 06:49 PM   #2
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,843
_Enio_ will become famous soon enough
Default

You need to use the new launcher from this post.

It hasit fixed already, it will auto-update to a even never version, but that one should get you to that updating.

Edit: You need the 64Bit one, just copy it over the current one in regnum folder (usually located in your home folder).
Edit2: You might also need the libjpeg62 and libpng12 libraries.

I did bundle those for another user on dropbox >>here<<. It contains rolauncher and those 2 libs for x86_64, just put it in regnum folder overwriting rolauncher.
__________________
Fix the Marksman subclass: Suggestion

Last edited by _Enio_; 08-09-2016 at 06:59 PM.
_Enio_ no ha iniciado sesión   Reply With Quote
Old 08-09-2016, 08:41 PM   #3
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 2,760
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Hi Elanor,

This is already solved, as Enio stated, but sadly the installer is not updated yet (we're doing that in the following days when we finish another fix we are trying to achieve) and that is the root of the issue you're having.

If you download the launcher alone and replace it with this one, your problem should be fixed:

http://download01.regnumonlinegame.com/autopatch/launcher_linux64/rolauncher


We tested in our installation of Fedora 24 and it works properly.

Sorry for the inconvenience!
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 08-09-2016, 09:06 PM   #4
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,843
_Enio_ will become famous soon enough
Default

Oh there you hid the link, in its own launcher folder! I was trying on live_linux64!

How did you resolve the jpeg/png dependencies?
__________________
Fix the Marksman subclass: Suggestion
_Enio_ no ha iniciado sesión   Reply With Quote
Old 08-09-2016, 09:20 PM   #5
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 2,760
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by _Enio_ View Post
How did you resolve the jpeg/png dependencies?
Those were statically linked and GTK was complaining about it. So, now they are not linked like that anymore and rolauncher asks the system for them now. Any system that has been used a while has them and if not, you can install them. To avoid GTK having problems, better use the ones that the distro repositories provide.

The other problem I mention is the one of the other thread, about old architectures like Nocona. We'll make that available soon for testing (Well, it is on Amun right now but it's private :P )
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 08-10-2016, 08:43 AM   #6
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,843
_Enio_ will become famous soon enough
Default

I see, nice.

Quote:
Originally Posted by Adrian View Post
The other problem I mention is the one of the other thread, about old architectures like Nocona. We'll make that available soon for testing (Well, it is on Amun right now but it's private :P )
I was able to update the game binary from Amun, jus in case it might be of interest, the SIGILL instruction from the other thread is still there.

Code:
[enio@thinkpad live]$ cat log.txt | grep build
[09/08/2016 21:50:39] [ClientBase][client_base.cpp(343)] Client build: 39631
[enio@thinkpad live]$ objdump -d game | grep sahf
 11966ba:    9e                       sahf   
[enio@thinkpad live]$ cd ../test
[enio@thinkpad test]$ cat log.txt | grep build
[10/08/2016 10:34:04] [ClientBase][client_base.cpp(343)] Client build: 39663
[enio@thinkpad test]$ objdump -d game | grep sahf
 11145ca:    9e                       sahf
Edit: For gcc the compiler option to not get this instruction used would be
Code:
-mno-sahf
.
__________________
Fix the Marksman subclass: Suggestion
_Enio_ no ha iniciado sesión   Reply With Quote
Old 08-11-2016, 02:03 PM   #7
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 2,760
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by _Enio_ View Post
I see, nice.



I was able to update the game binary from Amun, jus in case it might be of interest, the SIGILL instruction from the other thread is still there.

Code:
[enio@thinkpad live]$ cat log.txt | grep build
[09/08/2016 21:50:39] [ClientBase][client_base.cpp(343)] Client build: 39631
[enio@thinkpad live]$ objdump -d game | grep sahf
 11966ba:    9e                       sahf   
[enio@thinkpad live]$ cd ../test
[enio@thinkpad test]$ cat log.txt | grep build
[10/08/2016 10:34:04] [ClientBase][client_base.cpp(343)] Client build: 39663
[enio@thinkpad test]$ objdump -d game | grep sahf
 11145ca:    9e                       sahf
Edit: For gcc the compiler option to not get this instruction used would be
Code:
-mno-sahf
.
Test again!
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 08-11-2016, 02:10 PM   #8
_Enio_
Marquis
 
_Enio_'s Avatar
 
Join Date: Aug 2007
Location: Germany
Posts: 1,843
_Enio_ will become famous soon enough
Default

Quote:
Originally Posted by Adrian View Post
Test again!
Hmm, im still getting this instruction with build 39669.

Code:
[enio@thinkpad test]$ cat log.txt | grep build
[11/08/2016 16:10:31] [ClientBase][client_base.cpp(343)] Client build: 39669
[enio@thinkpad test]$ objdump -d game | grep sahf
 119671a:    9e                       sahf
__________________
Fix the Marksman subclass: Suggestion
_Enio_ no ha iniciado sesión   Reply With Quote
Old 08-11-2016, 02:31 PM   #9
Adrian
NGD·Studios
 
Adrian's Avatar
 
Join Date: May 2007
Location: Wien, Österreich
Posts: 2,760
Adrian will become famous soon enoughAdrian will become famous soon enough
Default

Quote:
Originally Posted by _Enio_ View Post
Hmm, im still getting this instruction with build 39669.

Code:
[enio@thinkpad test]$ cat log.txt | grep build
[11/08/2016 16:10:31] [ClientBase][client_base.cpp(343)] Client build: 39669
[enio@thinkpad test]$ objdump -d game | grep sahf
 119671a:    9e                       sahf
64-bit one?
__________________
Adrian no ha iniciado sesión   Reply With Quote
Old 08-11-2016, 06:36 PM   #10
Elanor
Pledge
 
Join Date: Aug 2007
Posts: 11
Elanor is on a distinguished road
Default

First of all thanks a lot for the quick replies. I got the file from Enio's post but rolancher was still failling, this time with the error:

Code:
[siggy@alnair regnum]$ ./rolauncher 
./game: error while loading shared libraries: libncursesw.so.5: cannot open shared object file: No such file or directory
manually installed the rpm containing libncursesw (couldn't find it in the repos i have by default). now, i don't see textures / colors
Elanor no ha iniciado sesión   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 08:18 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2020, vBulletin Solutions, Inc.
NGD Studios 2002-2016 © All rights reserved